aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2021-01-07 18:16:17 +0100
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2021-01-07 18:16:17 +0100
commit0d6b877ff6e17d7d945fdd28adb95064fcbc8800 (patch)
tree585197c47150dc1d258807e73ca34ee1d8041e0e /jjb/common
parenta345b6a6a46e69f456885f77a77312e30385d3df (diff)
Update platform job to use settings from agl-ci
Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: I3fdfb2d1455a9e7c9022b1a4f1fe9c1c213c7dc9
Diffstat (limited to 'jjb/common')
-rw-r--r--jjb/common/include-agl-auto-conf.sh49
-rw-r--r--jjb/common/include-agl-bitbake-image.sh3
-rw-r--r--jjb/common/include-agl-local-conf-DISTROFEATURES-AGLCI.sh2
-rw-r--r--jjb/common/include-agl-setup-and-bitbake-ivi-image.sh69
4 files changed, 73 insertions, 50 deletions
diff --git a/jjb/common/include-agl-auto-conf.sh b/jjb/common/include-agl-auto-conf.sh
index 20f5d9fb..3f806d84 100644
--- a/jjb/common/include-agl-auto-conf.sh
+++ b/jjb/common/include-agl-auto-conf.sh
@@ -5,52 +5,3 @@
## auto.conf inclusion of mirrors
################################################################################
-export DLHOST="http://download.automotivelinux.org/"
-if test x"" = x"${GERRIT_BRANCH}"; then
- export DISTROBRANCH="master"
-else
- export DISTROBRANCH="${GERRIT_BRANCH}"
-fi
-cat << EOF >> conf/auto.conf
-PREMIRRORS = "\
-git://.*/.* ${DLHOST}/AGL/mirror/ \n \
-ftp://.*/.* ${DLHOST}/AGL/mirror/ \n \
-http://.*/.* ${DLHOST}/AGL/mirror/ \n \
-https://.*/.* ${DLHOST}/AGL/mirror/ \n \
- "
-
-EOF
-
-if test x"YES" != x"${DISABLE_SSTATE_MIRROR}" ; then
-
-cat << EOF >> conf/auto.conf
-SSTATE_MIRRORS = " \
- file://.* ${DLHOST}/sstate-mirror/${DISTROBRANCH}/\${DEFAULTTUNE}/PATH \n \
- "
-#
-#file://.* file:///opt/AGL/sstate-mirror/\${MACHINE}/PATH \n
-#
-
-IMAGE_FSTYPES_remove = "ext3"
-SSTATE_DIR = "\${TOPDIR}/sstate-cache/\${MACHINE}/"
-
-INHERIT += "packagefeed-stability"
-INHERIT += "buildhistory"
-EOF
-
-fi
-
-# PRSERV and HASHSERV for CI
-# but only starting with dunfell / master -> soon jellyfish
-if test x"master" = x"${DISTROBRANCH}" -o x"jellyfish" = x"${DISTROBRANCH}" ; then
-
-export PRHASHSERV="10.30.72.18"
-cat << EOF >> conf/auto.conf
-# HASHSERVE
-BB_HASHSERVE = "${PRHASHSERV}:8686"
-BB_SIGNATURE_HANDLER = "OEEquivHash"
-
-PRSERV_HOST = "${PRHASHSERV}:8585"
-EOF
-
-fi
diff --git a/jjb/common/include-agl-bitbake-image.sh b/jjb/common/include-agl-bitbake-image.sh
index 690df237..3ac2f3bd 100644
--- a/jjb/common/include-agl-bitbake-image.sh
+++ b/jjb/common/include-agl-bitbake-image.sh
@@ -9,6 +9,9 @@
#bitbake wic-tools
#fi
+cat conf/local.conf
+
+
# finally, build the agl-demo-platform (we retry to catch the tar-native bug)
( ( bitbake $TARGETIMAGE ) || ( echo '## Failed once, retry .. ##' ; sync ; sleep 2 ; bitbake -v -v $TARGETIMAGE ) ) || ( echo '## Failed again, bail out ...' ; exit 1 )
diff --git a/jjb/common/include-agl-local-conf-DISTROFEATURES-AGLCI.sh b/jjb/common/include-agl-local-conf-DISTROFEATURES-AGLCI.sh
index 0dc32c86..f502f377 100644
--- a/jjb/common/include-agl-local-conf-DISTROFEATURES-AGLCI.sh
+++ b/jjb/common/include-agl-local-conf-DISTROFEATURES-AGLCI.sh
@@ -1,3 +1,3 @@
# This is the big switch for in-CI builds
-echo 'DISTRO_FEATURES_append = " AGLCI"' >> conf/local.conf
+#echo 'DISTRO_FEATURES_append = " AGLCI"' >> conf/local.conf
diff --git a/jjb/common/include-agl-setup-and-bitbake-ivi-image.sh b/jjb/common/include-agl-setup-and-bitbake-ivi-image.sh
new file mode 100644
index 00000000..5707b9c6
--- /dev/null
+++ b/jjb/common/include-agl-setup-and-bitbake-ivi-image.sh
@@ -0,0 +1,69 @@
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+
+################################################################################
+## bitbake the image
+################################################################################
+
+#if ! test x"${GERRIT_BRANCH}" = x"dab" ; then
+#bitbake wic-tools
+#fi
+
+echo "#### $MYPROJECT ###"
+
+if test x"meta-agl-devel" = x"$MYPROJECT" ; then
+
+if test x"qemux86-64" = x"$MACHINE" ; then
+
+
+TARGETIMAGE="agl-image-boot-basesystem"
+TARGETFEATURES="agl-basesystem agl-ci"
+
+echo "#### DO CI FOR $MYPROJECT , $TARGETFEATURES and $TARGETIMAGE"
+
+pushd $REPODIR
+
+SETUP_OPTS="--topic change-${GERRIT_CHANGE_NUMBER}-${GERRIT_PATCHSET_NUMBER}"
+
+# source the env
+source meta-agl/scripts/aglsetup.sh ${SETUP_OPTS} -m ${MACHINE} -b output-meta-agl-devel -f ${TARGETFEATURES}
+
+# link the shared downloads and sstate-cache
+ln -sf ../../downloads
+ln -sf ../../sstate-cache
+
+echo "" >> conf/local.conf
+echo "### ADDED BY AUTOBUILDER ###" >> conf/local.conf
+echo "" >> conf/local.conf
+
+# save some pre-build env needed to uniquely identify the source
+MANIFEST_R=repo-manifest-r.txt
+repo manifest -r > ${MANIFEST_R}
+sha1sum ${MANIFEST_R} | awk '{print $1}' > ${MANIFEST_R}.sha1
+
+cat <<EOF > pre-build-env.txt
+TARGETBRANCH=${TARGETBRANCH}
+TARGETIMAGE=${TARGETIMAGE}
+TARGETFEATURES=${TARGETFEATURES}
+TARGETMACHINE=${TARGETMACHINE}
+TARGETPROJECT=${TARGETPROJECT}
+MACHINE=${MACHINE}
+GERRIT_CHANGE_NUMBER=${GERRIT_CHANGE_NUMBER}
+GERRIT_PATCHSET_NUMBER=${GERRIT_PATCHSET_NUMBER}
+EOF
+
+
+# finally, build the agl-demo-platform (we retry to catch the tar-native bug)
+( ( bitbake $TARGETIMAGE ) || ( echo '## Failed once, retry .. ##' ; sync ; sleep 2 ; bitbake -v -v $TARGETIMAGE ) ) || ( echo '## Failed again, bail out ...' ; exit 1 )
+
+
+
+du -hs tmp/deploy/*
+
+popd
+
+fi
+# / qemux86-64
+
+fi
+# / meta-agl-devel \ No newline at end of file